# Package com.amazon.redshift.plugin

Class Summary
Class | Description
--- | ---
AdfsCredentialsProvider |
AzureCredentialsProvider | Class to get SAML Response from Microsoft Azure using OAuth 2.0 API
BasicJwtCredentialsProvider | A basic JWT credential provider class.
BasicSamlCredentialsProvider | A basic SAML credential provider class.
BrowserAzureCredentialsProvider | Class to get SAML Token from any IDP using OAuth 2.0 API
BrowserAzureOAuth2CredentialsProvider | Class to get JWT Token from any IDP using OAuth 2.0 API
BrowserSamlCredentialsProvider | Class to get SAML Assertion from a web service which is able to produce SAML assertion by requesting the specific URL.
JwtCredentialsProvider |
OktaCredentialsProvider |
PingCredentialsProvider |
SamlCredentialsProvider |

Exception Summary
Exception | Description
--- | ---
InternalPluginException | All plugin exceptional state.